from llama_index.core.tools import FunctionTool

def calculate_average(*values):
    """
    Oblicz średnią podanych wartości.
    """
    return sum(values) / len(values)
average_tool = FunctionTool.from_defaults(
    fn=calculate_average
)
